%%-----------------------------------------------------------------------------
%% @Module:treasure_evaluation
%% @Author:hyh
%% @Email:huyihao@sygame.com
%% @Created:2018/04/16
%% @Description:幸运鉴宝
%%-----------------------------------------------------------------------------

-define(TeCostListOnce, [{0, 38180007, 1}]).
-define(TeCostListTen, [{0, 38180007, 9}]).
-define(AddLuckNum, 10).

-define(REWARD_TYPE_NORMAL,         1).         %% 通用奖励格式
-define(REWARD_TYPE_CAREER,         2).         %% 指定职业奖励格式

-record(te_status, {
    te_list = []
}).
-record(te_info, {
    sub_type = 0,
    choose_big_reward_id = 0,
    lucky_num = 0,
    time = 0
}).
-record(te_main_reward_con, {
    big_reward_id = 0,
    main_reward_id = 0,
    reward_id = 0,
    image_str = "",
    power = 0,
    kind_id = 0,
    image_id = 0,
    attr_list = [],
    reward_type = 0,    %% 1通用奖励格式  2指定职业奖励格式
    goods_list = [],
    weight = 0
}).

-record(te_reward_weight_con, {
    main_reward_id = 0,
    reward_id = 0,
    reward_type = 0,    %% 1通用奖励格式  2指定职业奖励格式
    goods_list = [],
    weight = 0
}).
-define(SelectTreasureEvaluationInfoSql,
    <<"SELECT `role_id`, `sub_type`, `choose_big_reward_id`, `lucky_num`, `time` FROM `treasure_evaluation_lucky_num` WHERE `role_id` = ~p">>).
-define(SelectTreasureEvaluationInfoAllSql,
    <<"SELECT `role_id`, `sub_type`, `choose_big_reward_id`, `lucky_num`, `time` FROM `treasure_evaluation_lucky_num`">>).
-define(ReplaceTreasureEvaluationInfoAllSql,
    <<"REPLACE INTO `treasure_evaluation_lucky_num` (`role_id`, `sub_type`, `choose_big_reward_id`, `lucky_num`, `time`) VALUE (~p, ~p, ~p, ~p, ~p)">>).
-define(DeleteTreasureEvalutionInfoAllSql,
    <<"DELETE FROM `treasure_evaluation_lucky_num` WHERE ~s">>).